@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2000-2002 USTL - LIFL - GOAL
rem # Contact: openccm-team@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Philippe Merle.
rem # Contributor(s): Marc Navarro (mnavarro@wins.uva.nl),
rem #                 Sylvain Leblanc.
rem #
rem # ====================================================================
rem #
rem #  Starting a demonstration.
rem #
rem #  $1: demonstration name.
rem #
rem # ====================================================================

rem # Ant compilation if needed.
if not exist %1.idl ant
if not exist archives\%1.jar build.bat

rem # Install Java IDL Script.
call jish_install

rem # Install the OpenCCM Platform.
call ccm_install

rem # Load OMG IDL files into the Interface Repository.
rem call ir_load %OpenCCM_HOMEDIR%\idl\Components.idl
rem call ir_load %OpenCCM_HOMEDIR%\idl\Deployment.idl

rem PREVIOUS
rem call ir_load -I${OpenCCM_HOMEDIR}\idl ${OpenCCM_HOMEDIR}\idl\OpenCCM.idl
rem call ir_load %1.idl

rem NEW
call ir_load -I${OpenCCM_HOMEDIR}\idl %1.idl

rem # Start Java Component Servers named ComponentServer1 and ComponentServer2.
call jcs_start ComponentServer1
call jcs_start ComponentServer2

echo Starting demonstration %1 ...
jish bin\%1.cs
echo Demonstration %1 is ready to be used ...
