@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2000-2002 USTL - LIFL - GOAL
rem # Contact: openccm-team@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Marc Navarro (mnavarro@wins.uva.nl),
rem #                       Philippe Merle.
rem # Contributor(s): --------------------------------------------------.
rem #
rem # ====================================================================
rem #
rem #  The OpenCCM's OMG IDL3 to IR3 compiler.
rem #
rem # ====================================================================

setlocal

rem # Check if the OpenCCM's IR3 is started.
call %OpenCCM_HOMEDIR%\bin\ir3_started
if %IR3_STARTED%==0 goto :eof

rem # Execute the OpenCCM's OMG IDL3 to IR3 compiler.
set args="org.objectweb.ccm.scripts.IR3Feed -ORBInitRef InterfaceRepository=file:%OpenCCM_CONFIG_DIR%\IR3.IOR -P -I%OpenCCM_HOMEDIR%\idl %* "
jvm exec "" %args%
