@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2000-2002 USTL - LIFL - GOAL
rem # Contact: openccm-team@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Marc Navarro (mnavarro@wins.uva.nl),
rem #                       Philippe Merle.
rem # Contributor(s): --------------------------------------------------.
rem #
rem # ====================================================================
rem #
rem #  Starting a GUI on the current Name Service.
rem #
rem # ====================================================================

setlocal

rem # Obtain the IOR of the started Name Service.
call ns_ior > ns_ior.tmp
for /f %%i in (ns_ior.tmp) do set NSIOR=%%i
del ns_ior.tmp

rem # Check if a Name Service is started.
if defined NSIOR goto :ns_started

echo Error: The Name Service is not started!
goto :eof

:ns_started
echo An ORBacus Name Service's GUI will be started.

rem # Launch a Name Service's GUI client.
set args="com.ooc.CosNamingConsole.Main -ORBInitRef NameService=%NSIOR%"
call jvm exec "" %args%

echo A Name Service's GUI has been stopped.
