@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2000-2002 USTL - LIFL - GOAL
rem # Contact: openccm-team@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Philippe Merle.
rem # Contributor(s): Marc Navarro (mnavarro@wins.uva.nl), Sylvain Leblanc.
rem #
rem # ====================================================================

rem # Ant compilation if needed.
if not exist hello.idl build.bat
if not exist archives\hello.jar build.bat

rem # Install the OpenCCM Platform.
call ccm_install

rem # Start the Name Service.
call ns_start

rem # Start Java Component Servers named ComponentServer1 and ComponentServer2.
call jcs_start ComponentServer1
call jcs_start ComponentServer2

echo Demonstration hello is ready to be used ...
