@echo off
rem ====================================================================
rem
rem OpenCCM: The Open CORBA Component Model Platform
rem Copyright (C) 2000-2002 USTL - LIFL - GOAL
rem Contact: openccm@objectweb.org
rem
rem This library is free software; you can redistribute it and/or
rem modify it under the terms of the GNU Lesser General Public
rem License as published by the Free Software Foundation; either
rem version 2.1 of the License, or any later version.
rem
rem This library is distributed in the hope that it will be useful,
rem but WITHOUT ANY WARRANTY; without even the implied warranty of
rem MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem Lesser General Public License for more details.
rem
rem You should have received a copy of the GNU Lesser General Public
rem License along with this library; if not, write to the Free Software
rem Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem USA
rem
rem Initial developer(s): Christophe Contreras.
rem Contributor(s): ______________________________________.

rem ====================================================================
rem
rem  Generation of the classes from DTD files
rem
rem ====================================================================


set GENERATION_CLASSPATH=%OpenCCM_HOMEDIR%\lib\OpenCCM.jar;%OpenCCM_HOMEDIR%\lib\dtdparser114.jar;%OpenCCM_HOMEDIR%\lib\jdom.jar;%OpenCCM_HOMEDIR%\lib\xerces.jar;%OpenCCM_HOMEDIR%\lib\zeus.jar
set COMPILATION_CLASSPATH=%OpenCCM_HOMEDIR%\lib\OpenCCM.jar;%OpenCCM_HOMEDIR%\lib\xerces.jar

set DTD2JAVA=java -Dopenccm.homedir=%OpenCCM_HOMEDIR% -classpath %GENERATION_CLASSPATH% org.objectweb.zeusx.ObjectWebDTDSourceGenerator

rem if not exist %OpenCCM_HOMEDIR%\classes\org\objectweb\zeusx\descriptor\guirepres goto :noGUI

rem if not exist %OpenCCM_HOMEDIR%\classes\org\objectweb\zeusx\descriptor\deployinfo goto :noDEP


echo Generating sources
%DTD2JAVA% %*

echo .
echo Notes:
echo .
echo To compile the interfaces by hand, the command shall be:
echo javac -d ^<destination build directory^> ^<path to the interfaces source files^>\*.java
echo .
echo To compile the proper DTD classes by hand, the command shall be:
echo javac -classpath %COMPILATION_CLASSPATH%;^<destination build directory^> -d ^<destination build directory^> ^<full path to the source files^>\*.java
echo .
goto :eof

:noDEP
echo No DEPLOYINFO model reader classes
goto :eof

:noGUI
echo No GUIREPRES model reader classes
goto :eof
